Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#21544 - [perl-crypt-ssleay] Perl segfaults when using threads and HTTPS

Attached to Project: Arch Linux
Opened by Xyne (Xyne) - Sunday, 31 October 2010, 16:10 GMT
Last edited by Giovanni Scafora (giovanni) - Tuesday, 16 November 2010, 09:46 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Giovanni Scafora (giovanni)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:
Using threads to access websites via HTTPS causes Perl to hang or segfault. The problem appeared when the AUR switched to HTTPS. "glibc" was also updated at this time, which may or may not be a coincidence.


Here is a simple example script to reproduce the problem:

http://aur.pastebin.com/am8kFAdD

HTTPS can be enabled and disabled using the variable at the top. When disabled, everything works as expected. When enabled, the script will either hang or crash. The following is an example of the output when it crashes:

http://aur.pastebin.com/FNU7ii3H

The following libraries are indicated:
/lib/libc.so.6 is owned by glibc 2.12.1-3
/usr/lib/libcrypto.so.1.0.0 is owned by openssl 1.0.0.a-3
/usr/lib/perl5/vendor_perl/auto/Crypt/SSLeay/SSLeay.so is owned by perl-crypt-ssleay 0.57-5
/usr/lib/perl5/core_perl/CORE/libperl.so is owned by perl 5.12.1-2
/usr/lib/perl5/core_perl/auto/threads/threads.so is owned by perl 5.12.1-2
/lib/libpthread.so.0 is owned by glibc 2.12.1-3
/lib/libc.so.6 is owned by glibc 2.12.1-3

Rebuilding perl, perl-libwww, openssl and perl-crypt-ssleay does not help nor does downgrading glibc (which would indicate that this issue is unrelated to the recent upgrade).
This task depends upon

Closed by  Giovanni Scafora (giovanni)
Tuesday, 16 November 2010, 09:46 GMT
Reason for closing:  Upstream
Comment by Justin Davis (juster) - Tuesday, 02 November 2010, 16:21 GMT
It seems that the Crypt::SSLeay module is not ithread-safe. There is a related bug report/patch in the upstream bugtracker.

https://rt.cpan.org/Public/Bug/Display.html?id=41007

Loading...